using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["modyfikowanieDanych"]!=null && (bool)Session["modyfikowanieDanych"]) TextBox3.Enabled = false;

        if (Session["osoba"] != null) 
        {            
            StrukturyDanych.Osoba osoba = (StrukturyDanych.Osoba)Session["osoba"];
            TextBox1.Text = osoba.Imie;
            TextBox2.Text = osoba.Nazwisko;
            TextBox3.Text = osoba.Email;
            TextBox4.Text = osoba.InstytucjaNazwa;
            TextBox5.Text = osoba.InstytucjaAdres1;
            TextBox6.Text = osoba.InstytucjaAdres2;
            CheckBox1.Checked = osoba.CzyWyklad;            
            Session.Add("osoba", null);            
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("Default.aspx");
    }

    protected void Button1_Click(object sender, EventArgs e)
    {        
        StrukturyDanych.Osoba osoba=new StrukturyDanych.Osoba();      
        osoba.Imie = TextBox1.Text;
        osoba.Nazwisko = TextBox2.Text;
        osoba.Email = TextBox3.Text;
        osoba.InstytucjaNazwa = TextBox4.Text;
        osoba.InstytucjaAdres1 = TextBox5.Text;
        osoba.InstytucjaAdres2 = TextBox6.Text;
        osoba.CzyWyklad = CheckBox1.Checked;
        Session.Add("osoba", osoba);        

        if (CheckBox1.Checked) Response.Redirect("Wyklad.aspx");
        else Response.Redirect("Nocleg.aspx");
    }
}
